
load( 'EGB_sol.mat' ); 

close all; 
ntouts = length(tGrid); 
for nti=1:ntouts,
  figure; 
  subplot(2,1,1); plot( xGrid/100, U(1,:,nti)/10, 'b-' ); grid; title( [ 'Solution at t=',num2str(tGrid(nti)), ] ); 
  xlabel( '--x--' ); ylabel( 'Velocity of Water' );
    
  subplot(2,1,2); plot( xGrid/100, (U(2,:,nti)+bottom_H(xGrid))/10, 'r-' ); grid; 
  %axis( [ -4, +4, 0.0, 4.0 ] ); 
  hold on; plot( xGrid/100, bottom_H( xGrid )/10, 'g-' ); hold off; 
  xlabel( '--x--' ); ylabel( 'Depth of Water' ); 

  hold on; 
  %pause;
end
